Bug 462948 - [LTC 6.0 FEAT] 201580:Update the ethtool
[LTC 6.0 FEAT] 201580:Update the ethtool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
medium Severity medium
: alpha
: 6.0
Assigned To: Jay Fenlason
Network QE
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-19 17:20 EDT by IBM Bug Proxy
Modified: 2014-08-31 19:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:46:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ethtool patch for bonding from mainline (1.04 KB, text/plain)
2009-03-02 12:40 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-19 17:20:36 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:18 EDT
1. Feature Overview:
Feature Id:	[201580]
a. Name of Feature:	Update the ethtool
b. Feature Description
Add two types of ethtool support:  
- Passthrough support for device driver ethtool operations  
- Create bonding -specific ethtool statistics, for future use in better evaluating the behavior of
the driver

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Driver - Feature from IBM
d. Upstream Acceptance:	Not Started
Sponsor Priority	3
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	

3. Business Case
For better evaluating of the bonding driver

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Jay Vosburgh, vosburgh@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-01 15:08:47 EDT
Do you have a pointer to the code you'd like to add?
Comment 2 IBM Bug Proxy 2009-03-02 12:40:53 EST
Created attachment 333768 [details]
ethtool patch for bonding from mainline


------- Comment (attachment) From fubar@us.ibm.com 2009-03-02 12:39 EDT-------


This is the code to add (complete patch in attachment):

commit fa53ebac42d3de04619c813f5f6628ca2a7ce97f
Author: Stephen Hemminger <shemminger@vyatta.com>
Date:   Sat Sep 13 21:17:09 2008 -0400

    bonding: add more ethtool support
    
    This patch allows reporting the link, checksum, and feature settings
    of bonded device by using generic hooks.
    
    Signed-off-by: Stephen Hemminger <shemminger@vyatta.com>
    Acked-by: Jay Vosburgh <fubar@us.ibm.com>
    Signed-off-by: Jeff Garzik <jgarzik@redhat.com>
Comment 3 Bill Nottingham 2009-03-03 17:17:38 EST
The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 5 IBM Bug Proxy 2010-05-18 17:11:36 EDT
------- Comment From fubar@us.ibm.com 2010-05-18 17:00 EDT-------
Functionality verified as available.
Comment 7 releng-rhel@redhat.com 2010-11-10 15:46:29 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.